Subject: Re: V3 Patches

From: Reily Siegel <[email-masked]>
Date: Sat, 16 Apr 2022 22:11:22 +0200

Maxime Devos <[email-masked]> writes:

> I looked at the new jar that was uploaded
> (https://mvnrepository.com/artifact/com.cognitect.aws/s3/822.2.1109.0)
> and it looks like there is still a problem.  The APL states:
>
>       (d) If the Work includes a "NOTICE" text file as part of its
>           distribution, then any Derivative Works that You distribute
>           must include a readable copy of the attribution notices
>           contained within such NOTICE file, excluding [...]
>
> and <https://github.com/aws/aws-sdk-js> has a NOTICE.txt.  However, it
> is missing from the com.cognitect.aws.s3 jar.
>
> Cognitect also modified the files (by the JSON -> EDN compilation), and
> APL says:
>
>   You must cause any modified files to carry prominent notices stating
>   that You changed the files; and
>
> though perhaps, if JSON -> EDN is sufficiently lossless, this could be
> considered not a modification, I don't know.
>
> Greetings,
> Maxime.

I have made Cognitect aware of this here:
https://github.com/cognitect-labs/aws-api/issues/208

-- 
Reily Siegel